#ifndef FI_H
#define FI_H
#include <vector>
#include "Problem.h"
#include "Solution.h"

/*
  farthestInsertion.h
  Header file for the function cyclicFI(), which generates a vrpsd solution
  according to the farthest insertion heuristic.

*/

void farthestInsertion( Solution& solution );
void randomizedFarthestInsertion(Random* rnd, Solution& solution );

#endif
